Ruby On Rails, Errores comunes y soluciones

Comparto unos errores en la configuración de rails y como se solucionan, que al menos en mi caso resulto, y en uno de ellos solo bastaba con espeficicar la versión, y olvidarnos de largos tutoriales, que en mi caso no solucionaron el problema, puesto que me fui por otro lado, en fin estas pequeñas soluciones son resultados de horas de inventigación a pruebas y error.

 

Gem::LoadError Specified ‘mysql2’ for database adapter, but the gem is not loaded. Add `gem ‘mysql2’` to your Gemfile

Solución:

Especificar la versión para mysql2

gem ‘mysql2’, ‘~> 0.3.18’

 

Can’t run make – gcc: command not found

Solución:

sudo apt-get install gcc

Error: failed to build gem native extension

ERROR: Failed to build gem native extension. /usr/bin/ruby1.9.1 extconf.rb

Solución:

sudo apt-get install ruby-dev

The cause for this would be that one doesn’t have the right ubuntu dependancies. This is easily fixable by installing the ruby-dev package:

——————————————————

Rails – Could not find a JavaScript runtime?

ExecJS::RuntimeUnavailable

Solución:

sudo apt-get install nodejs

Solución 2

En vez de usar nodejs podemos instalar las siguientes gemas

gem ‘therubyracer’

gem ‘execjs’

 

La desventaja de esta solución por medio de gemas, es que las debemos especificar en todos nuestros proyectos, en cambio con nodejs por default el problema se soluciona para todos los proyectos que tengamos.

 

Por cada cambio que hagas en el gemfile recuerda aplicar (eliminar gemfile.lock)

 

bundle install

image_ruby-e18a69251fda1b1c309ab7d307e1c64e

govani

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *